Index: branches/new_class_id/src/lib/script_engine/script_class.h
===================================================================
--- branches/new_class_id/src/lib/script_engine/script_class.h	(revision 9714)
+++ branches/new_class_id/src/lib/script_engine/script_class.h	(revision 9715)
@@ -25,5 +25,5 @@
 class ScriptClass : public BaseObject
 {
-  NewObjectListDeclaration(ScriptClass);
+  ObjectListDeclaration(ScriptClass);
 
 public:
@@ -37,8 +37,8 @@
 
 protected:
-  ScriptClass(const std::string& name, const NewClassID& classID, ScriptMethod* scriptMethods);
+  ScriptClass(const std::string& name, const ClassID& classID, ScriptMethod* scriptMethods);
 
 private:
-  NewClassID          _classID;
+  ClassID          _classID;
   ScriptMethod*       _scriptMethods;
 };
@@ -51,5 +51,5 @@
 {
 public:
-  tScriptClass(const std::string& name, NewClassID classID, ScriptMethod* scriptMethods)
+  tScriptClass(const std::string& name, ClassID classID, ScriptMethod* scriptMethods)
       : ScriptClass(name, classID, scriptMethods)
   { }
Index: branches/new_class_id/src/lib/script_engine/script_manager.cc
===================================================================
--- branches/new_class_id/src/lib/script_engine/script_manager.cc	(revision 9714)
+++ branches/new_class_id/src/lib/script_engine/script_manager.cc	(revision 9715)
@@ -97,5 +97,5 @@
 Script* ScriptManager::getScriptByFile(const std::string& file)
 {
-  for (NewObjectList<Script>::const_iterator it = Script::objectList().begin();
+  for (ObjectList<Script>::const_iterator it = Script::objectList().begin();
        it != Script::objectList().end();
        ++it)
Index: branches/new_class_id/src/lib/shell/shell.cc
===================================================================
--- branches/new_class_id/src/lib/shell/shell.cc	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell.cc	(revision 9715)
@@ -54,5 +54,5 @@
   ->completionPlugin(0, OrxShell::CompletorFileSystem(".ttf", "fonts/"));
 
-  NewObjectListDefinition(Shell);
+  ObjectListDefinition(Shell);
 
   /**
Index: branches/new_class_id/src/lib/shell/shell.h
===================================================================
--- branches/new_class_id/src/lib/shell/shell.h	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell.h	(revision 9715)
@@ -48,5 +48,5 @@
   class Shell : public Element2D, public EventListener
   {
-    NewObjectListDeclaration(Shell);
+    ObjectListDeclaration(Shell);
   public:
     Shell();
Index: branches/new_class_id/src/lib/shell/shell_command.cc
===================================================================
--- branches/new_class_id/src/lib/shell/shell_command.cc	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell_command.cc	(revision 9715)
@@ -26,5 +26,5 @@
 namespace OrxShell
 {
-  NewObjectListDefinition(ShellCommand);
+  ObjectListDefinition(ShellCommand);
   SHELL_COMMAND(debug, ShellCommandClass, help);
 
@@ -241,10 +241,10 @@
       return false;
 
-    const NewObjectListBase* const objectList = NewObjectListBase::getObjectList(cmd->shellClass->getName());
+    const ObjectListBase* const objectList = ObjectListBase::getObjectList(cmd->shellClass->getName());
     if (objectList != NULL)
     {
-      NewObjectListBase::base_list list;
+      ObjectListBase::base_list list;
       objectList->getBaseObjectList(&list);
-      NewObjectListBase::base_iterator it;
+      ObjectListBase::base_iterator it;
 
       // No Description given (only for speedup)
Index: branches/new_class_id/src/lib/shell/shell_command.h
===================================================================
--- branches/new_class_id/src/lib/shell/shell_command.h	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell_command.h	(revision 9715)
@@ -58,5 +58,5 @@
   class ShellCommand : public BaseObject
   {
-    NewObjectListDeclaration(ShellCommand);
+    ObjectListDeclaration(ShellCommand);
 
     friend class ShellCommandClass;
Index: branches/new_class_id/src/lib/shell/shell_command_class.cc
===================================================================
--- branches/new_class_id/src/lib/shell/shell_command_class.cc	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell_command_class.cc	(revision 9715)
@@ -27,5 +27,5 @@
 namespace OrxShell
 {
-  NewObjectListDefinition(ShellCommandClass);
+  ObjectListDefinition(ShellCommandClass);
 
   CmdClassList* ShellCommandClass::_commandClassList = NULL;
Index: branches/new_class_id/src/lib/shell/shell_command_class.h
===================================================================
--- branches/new_class_id/src/lib/shell/shell_command_class.h	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell_command_class.h	(revision 9715)
@@ -25,5 +25,5 @@
   class ShellCommandClass : public BaseObject
   {
-    NewObjectListDeclaration(ShellCommandClass);
+    ObjectListDeclaration(ShellCommandClass);
 
     friend class ShellCommand;
@@ -36,5 +36,5 @@
     static void unregisterAllCommands();
     static ShellCommandClass* getCommandClass(const std::string& className);
-    NewClassID getClassID();
+    ClassID getClassID();
     static bool exists(const std::string& className);
 
Index: branches/new_class_id/src/lib/shell/shell_completion.cc
===================================================================
--- branches/new_class_id/src/lib/shell/shell_completion.cc	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell_completion.cc	(revision 9715)
@@ -50,6 +50,6 @@
   bool ShellCompletion::autoComplete(std::string& input)
   {
-    NewClassID classID;
-    const NewObjectListBase* objectList = NULL;      //< the list of Objects stored in classID's ClassList
+    ClassID classID;
+    const ObjectListBase* objectList = NULL;      //< the list of Objects stored in classID's ClassList
     bool emptyComplete = false;                      //< if the completion input is empty string. e.g ""
     long completeType = NullCompletion;              //< the Type we'd like to complete.
@@ -84,5 +84,5 @@
              (!emptyComplete && inputSplits.size() == 2))
     {
-      objectList = NewObjectListBase::getObjectList(inputSplits[0]);
+      objectList = ObjectListBase::getObjectList(inputSplits[0]);
       if (objectList != NULL)
         classID = objectList->identity();
@@ -95,5 +95,5 @@
              (!emptyComplete && inputSplits.size() == 3))
     {
-      if (NewObjectListBase::getBaseObject(inputSplits[0], inputSplits[1]))
+      if (ObjectListBase::getBaseObject(inputSplits[0], inputSplits[1]))
         completeType |= FunctionCompletion;
     }
@@ -133,5 +133,5 @@
    * @return true on success, false otherwise
    */
-  bool ShellCompletion::objectComplete(const std::string& objectBegin, const NewObjectListBase* objectList)
+  bool ShellCompletion::objectComplete(const std::string& objectBegin, const ObjectListBase* objectList)
   {
     assert (objectList != NULL);
@@ -141,5 +141,5 @@
       type = ClassCompletion;
 
-    NewObjectListBase::base_list list;
+    ObjectListBase::base_list list;
     objectList->getBaseObjectList(&list);
 
Index: branches/new_class_id/src/lib/shell/shell_completion.h
===================================================================
--- branches/new_class_id/src/lib/shell/shell_completion.h	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell_completion.h	(revision 9715)
@@ -16,5 +16,5 @@
 // FORWARD DECLARATION
 class BaseObject;
-class NewObjectListBase;
+class ObjectListBase;
 
 namespace OrxShell
@@ -54,5 +54,5 @@
 
     private:
-      bool objectComplete(const std::string& objectBegin, const NewObjectListBase* const objectList);
+      bool objectComplete(const std::string& objectBegin, const ObjectListBase* const objectList);
       bool commandComplete(const std::string& commandBegin, const std::string& className);
       bool aliasComplete(const std::string& aliasBegin);
Index: branches/new_class_id/src/lib/shell/shell_input.cc
===================================================================
--- branches/new_class_id/src/lib/shell/shell_input.cc	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell_input.cc	(revision 9715)
@@ -32,5 +32,5 @@
   ->setAlias("help");
 
-  NewObjectListDefinition(ShellInput);
+  ObjectListDefinition(ShellInput);
 
   /**
Index: branches/new_class_id/src/lib/shell/shell_input.h
===================================================================
--- branches/new_class_id/src/lib/shell/shell_input.h	(revision 9714)
+++ branches/new_class_id/src/lib/shell/shell_input.h	(revision 9715)
@@ -30,5 +30,5 @@
   class ShellInput : public Text,  public EventListener
   {
-    NewObjectListDeclaration(ShellInput);
+    ObjectListDeclaration(ShellInput);
 
   public:
Index: branches/new_class_id/src/lib/sound/ogg_player.cc
===================================================================
--- branches/new_class_id/src/lib/sound/ogg_player.cc	(revision 9714)
+++ branches/new_class_id/src/lib/sound/ogg_player.cc	(revision 9715)
@@ -49,5 +49,5 @@
 namespace OrxSound
 {
-  NewObjectListDefinition(OggPlayer);
+  ObjectListDefinition(OggPlayer);
   /**
    * initializes an Ogg-player from a file
Index: branches/new_class_id/src/lib/sound/ogg_player.h
===================================================================
--- branches/new_class_id/src/lib/sound/ogg_player.h	(revision 9714)
+++ branches/new_class_id/src/lib/sound/ogg_player.h	(revision 9715)
@@ -25,5 +25,5 @@
   class OggPlayer : public BaseObject
   {
-    NewObjectListDeclaration(OggPlayer);
+    ObjectListDeclaration(OggPlayer);
 
   public:
Index: branches/new_class_id/src/lib/sound/sound_buffer.cc
===================================================================
--- branches/new_class_id/src/lib/sound/sound_buffer.cc	(revision 9714)
+++ branches/new_class_id/src/lib/sound/sound_buffer.cc	(revision 9715)
@@ -35,5 +35,5 @@
 namespace OrxSound
 {
-  NewObjectListDefinition(SoundBuffer);
+  ObjectListDefinition(SoundBuffer);
   //////////////////
   /* SOUND-BUFFER */
Index: branches/new_class_id/src/lib/sound/sound_buffer.h
===================================================================
--- branches/new_class_id/src/lib/sound/sound_buffer.h	(revision 9714)
+++ branches/new_class_id/src/lib/sound/sound_buffer.h	(revision 9715)
@@ -18,5 +18,5 @@
   class SoundBuffer : public BaseObject
   {
-    NewObjectListDeclaration(SoundBuffer);
+    ObjectListDeclaration(SoundBuffer);
   public:
     SoundBuffer(const std::string& fileName);
Index: branches/new_class_id/src/lib/sound/sound_engine.cc
===================================================================
--- branches/new_class_id/src/lib/sound/sound_engine.cc	(revision 9714)
+++ branches/new_class_id/src/lib/sound/sound_engine.cc	(revision 9715)
@@ -29,5 +29,5 @@
 namespace OrxSound
 {
-  NewObjectListDefinition(SoundEngine);
+  ObjectListDefinition(SoundEngine);
   //////////////////
   /* SOUND-ENGINE */
@@ -202,5 +202,5 @@
 
     // updating all the Sources positions
-    NewObjectList<SoundSource>::const_iterator sourceIT;
+    ObjectList<SoundSource>::const_iterator sourceIT;
     for (sourceIT = SoundSource::objectList().begin();
          sourceIT != SoundSource::objectList().end();
Index: branches/new_class_id/src/lib/sound/sound_engine.h
===================================================================
--- branches/new_class_id/src/lib/sound/sound_engine.h	(revision 9714)
+++ branches/new_class_id/src/lib/sound/sound_engine.h	(revision 9715)
@@ -27,5 +27,5 @@
   class SoundEngine : public BaseObject
   {
-    NewObjectListDeclaration(SoundEngine);
+    ObjectListDeclaration(SoundEngine);
     public:
     virtual ~SoundEngine();
Index: branches/new_class_id/src/lib/sound/sound_source.cc
===================================================================
--- branches/new_class_id/src/lib/sound/sound_source.cc	(revision 9714)
+++ branches/new_class_id/src/lib/sound/sound_source.cc	(revision 9715)
@@ -25,5 +25,5 @@
 namespace OrxSound
 {
-  NewObjectListDefinition(SoundSource);
+  ObjectListDefinition(SoundSource);
   /**
   * @brief creates a SoundSource at position sourceNode with the SoundBuffer buffer
Index: branches/new_class_id/src/lib/sound/sound_source.h
===================================================================
--- branches/new_class_id/src/lib/sound/sound_source.h	(revision 9714)
+++ branches/new_class_id/src/lib/sound/sound_source.h	(revision 9715)
@@ -18,5 +18,5 @@
   class SoundSource : public BaseObject
   {
-    NewObjectListDeclaration(SoundSource);
+    ObjectListDeclaration(SoundSource);
   public:
     SoundSource(const PNode* sourceNode = NULL, const SoundBuffer* buffer = NULL);
Index: branches/new_class_id/src/lib/util/executor/executor.cc
===================================================================
--- branches/new_class_id/src/lib/util/executor/executor.cc	(revision 9714)
+++ branches/new_class_id/src/lib/util/executor/executor.cc	(revision 9715)
@@ -19,5 +19,5 @@
 
 
-NewObjectListDefinition(Executor);
+ObjectListDefinition(Executor);
 
 /**
Index: branches/new_class_id/src/lib/util/executor/executor.h
===================================================================
--- branches/new_class_id/src/lib/util/executor/executor.h	(revision 9714)
+++ branches/new_class_id/src/lib/util/executor/executor.h	(revision 9715)
@@ -38,5 +38,5 @@
 class Executor : public BaseObject
 {
-  NewObjectListDeclaration(Executor);
+  ObjectListDeclaration(Executor);
   public:
     virtual ~Executor();
Index: branches/new_class_id/src/lib/util/loading/dynamic_loader.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/dynamic_loader.cc	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/dynamic_loader.cc	(revision 9715)
@@ -24,5 +24,5 @@
 
 
-NewObjectListDefinition(DynamicLoader);
+ObjectListDefinition(DynamicLoader);
 
 /**
Index: branches/new_class_id/src/lib/util/loading/dynamic_loader.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/dynamic_loader.h	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/dynamic_loader.h	(revision 9715)
@@ -19,5 +19,5 @@
 class DynamicLoader : public Factory
 {
-  NewObjectListDeclaration(DynamicLoader);
+  ObjectListDeclaration(DynamicLoader);
 
 public:
Index: branches/new_class_id/src/lib/util/loading/factory.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/factory.cc	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/factory.cc	(revision 9715)
@@ -19,5 +19,5 @@
 //#include "shell_command.h"
 
-NewObjectListDefinition(Factory);
+ObjectListDefinition(Factory);
 
 //SHELL_COMMAND(create, Factory, fabricate);
@@ -28,5 +28,5 @@
  * set everything to zero and define factoryName
  */
-Factory::Factory (const NewClassID& classID)
+Factory::Factory (const ClassID& classID)
     : _classID(classID)
 {
@@ -140,5 +140,5 @@
  * @returns a new Object of Type classID on match, NULL otherwise
  */
-BaseObject* Factory::fabricate(const NewClassID& classID)
+BaseObject* Factory::fabricate(const ClassID& classID)
 {
   if (Factory::_factoryList == NULL)
Index: branches/new_class_id/src/lib/util/loading/factory.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/factory.h	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/factory.h	(revision 9715)
@@ -39,5 +39,5 @@
 class Factory : public BaseObject
 {
-  NewObjectListDeclaration(Factory);
+  ObjectListDeclaration(Factory);
 public:
   virtual ~Factory ();
@@ -46,5 +46,5 @@
 
   static  BaseObject* fabricate(const std::string& className);
-  static  BaseObject* fabricate(const NewClassID& classID);
+  static  BaseObject* fabricate(const ClassID& classID);
   static  BaseObject* fabricate(const TiXmlElement* root);
 
@@ -52,8 +52,8 @@
   bool operator==(int classID) const;
   bool operator==(const std::string& className) const;
-  bool operator==(const NewClassID& classID) const { return _classID == classID; };
+  bool operator==(const ClassID& classID) const { return _classID == classID; };
 
 protected:
-  Factory (const NewClassID& id);
+  Factory (const ClassID& id);
   virtual BaseObject* fabricateObject(const TiXmlElement* root = NULL) const = 0;
 
@@ -62,5 +62,5 @@
 
 protected:
-  const NewClassID              _classID;              //!< The Class-Identifyer of the Factory.
+  const ClassID              _classID;              //!< The Class-Identifyer of the Factory.
   static std::list<Factory*>*   _factoryList;          //!< List of Registered Factories
 };
@@ -78,5 +78,5 @@
    * @param classID the ID of the Class to be created.
    */
-  tFactory (const NewClassID& classID)
+  tFactory (const ClassID& classID)
       : Factory(classID)
   {  }
Index: branches/new_class_id/src/lib/util/loading/fast_factory.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/fast_factory.cc	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/fast_factory.cc	(revision 9715)
@@ -22,5 +22,5 @@
 
 
-NewObjectListDefinition(FastFactory);
+ObjectListDefinition(FastFactory);
 
 /**
@@ -30,5 +30,5 @@
  * @return a new FastFactory
  */
-FastFactory::FastFactory (const NewClassID& classID, const std::string& fastFactoryName)
+FastFactory::FastFactory (const ClassID& classID, const std::string& fastFactoryName)
 {
   this->registerObject(this, FastFactory::_objectList);
@@ -98,5 +98,5 @@
  * @returns true if found, false otherwise.
  */
-FastFactory* FastFactory::searchFastFactory(const NewClassID& classID)
+FastFactory* FastFactory::searchFastFactory(const ClassID& classID)
 {
   if (FastFactory::first == NULL)
@@ -229,5 +229,5 @@
  * @return the Object to resurrect, NULL if classID is not found.
  */
-BaseObject* FastFactory::resurrect(const NewClassID& classID)
+BaseObject* FastFactory::resurrect(const ClassID& classID)
 {
   FastFactory* tmpFac = FastFactory::getFirst();
Index: branches/new_class_id/src/lib/util/loading/fast_factory.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/fast_factory.h	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/fast_factory.h	(revision 9715)
@@ -60,5 +60,5 @@
 class FastFactory : public BaseObject
 {
-  NewObjectListDeclaration(FastFactory);
+  ObjectListDeclaration(FastFactory);
 
 public:
@@ -68,5 +68,5 @@
   // functions to push and pop elements of this class
   BaseObject* resurrect();
-  static BaseObject* resurrect(const NewClassID& classID);
+  static BaseObject* resurrect(const ClassID& classID);
   void kill(BaseObject* object);
   static void kill(BaseObject* object, bool searchForFastFactory);
@@ -80,11 +80,11 @@
   inline static FastFactory* getFirst() { return FastFactory::first; };
 
-  static FastFactory* searchFastFactory(const NewClassID& classID);
+  static FastFactory* searchFastFactory(const ClassID& classID);
   static FastFactory* searchFastFactory(const std::string& fastFactoryName);
 
-  const NewClassID& getStoredID() const { return this->storedClassID; };
+  const ClassID& getStoredID() const { return this->storedClassID; };
 
 protected:
-  FastFactory (const NewClassID& classID, const std::string& fastFactoryName = "");
+  FastFactory (const ClassID& classID, const std::string& fastFactoryName = "");
 
   /** sets the Next factory in the list @param nextFactory the next factory */
@@ -100,5 +100,5 @@
 
 protected:
-  NewClassID            storedClassID;        //!< The classID of the specified class.
+  ClassID            storedClassID;        //!< The classID of the specified class.
   unsigned int          storedDeadObjects;    //!< How many dead objects are stored in this class
 
@@ -122,8 +122,8 @@
 {
 public:
-  static tFastFactory<T>* getFastFactory(const NewClassID& classID, const std::string& fastFactoryName);
+  static tFastFactory<T>* getFastFactory(const ClassID& classID, const std::string& fastFactoryName);
 
 private:
-  tFastFactory(const NewClassID& classID, const std::string& fastFactoryName);
+  tFastFactory(const ClassID& classID, const std::string& fastFactoryName);
 
   virtual void fabricate();
@@ -137,5 +137,5 @@
  */
 template<class T>
-tFastFactory<T>::tFastFactory(const NewClassID& classID, const std::string& fastFactoryName)
+tFastFactory<T>::tFastFactory(const ClassID& classID, const std::string& fastFactoryName)
     : FastFactory(classID, fastFactoryName)
 {}
@@ -148,5 +148,5 @@
  */
 template<class T>
-tFastFactory<T>* tFastFactory<T>::getFastFactory(const NewClassID& classID, const std::string& fastFactoryName)
+tFastFactory<T>* tFastFactory<T>::getFastFactory(const ClassID& classID, const std::string& fastFactoryName)
 {
   tFastFactory<T>* tmpFac = NULL;
Index: branches/new_class_id/src/lib/util/loading/game_loader.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/game_loader.cc	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/game_loader.cc	(revision 9715)
@@ -28,5 +28,5 @@
 #include "key_mapper.h"
 
-NewObjectListDefinition(GameLoader);
+ObjectListDefinition(GameLoader);
 
 
Index: branches/new_class_id/src/lib/util/loading/game_loader.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/game_loader.h	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/game_loader.h	(revision 9715)
@@ -38,5 +38,5 @@
 class GameLoader : public EventListener
 {
-  NewObjectListDeclaration(GameLoader);
+  ObjectListDeclaration(GameLoader);
   public:
   virtual ~GameLoader ();
Index: branches/new_class_id/src/lib/util/loading/resource.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/resource.h	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/resource.h	(revision 9715)
@@ -37,10 +37,10 @@
   {
   public:
-    Type(const NewClassID& classID) : _classID(classID) { };
+    Type(const ClassID& classID) : _classID(classID) { };
 
     void addExtension(const std::string& extension);
 
   private:
-    const NewClassID&                _classID;
+    const ClassID&                _classID;
     std::vector<std::string>      _resourcePaths;
     std::vector<std::string>      _resourceSubPaths;
@@ -73,5 +73,5 @@
   unsigned int      referenceCount;    //!< How many times this Resource has been loaded.
   /// TODO REMOVE THIS:   ResourceType      type;              //!< ResourceType of this Resource.
-  ResourcePriority  prio;              //!< The Priority of this resource. (can only be increased, so noone else will delete this)
+  Resource::Priority  prio;              //!< The Priority of this resource. (can only be increased, so noone else will delete this)
 
   MultiType         param[3];          //!< The Parameters given to this Resource.
Index: branches/new_class_id/src/lib/util/loading/resource_manager.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/resource_manager.cc	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/resource_manager.cc	(revision 9715)
@@ -50,5 +50,5 @@
 #include <unistd.h>
 
-NewObjectListDefinition(ResourceManager);
+ObjectListDefinition(ResourceManager);
 
 /**
Index: branches/new_class_id/src/lib/util/loading/resource_manager.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/resource_manager.h	(revision 9714)
+++ branches/new_class_id/src/lib/util/loading/resource_manager.h	(revision 9715)
@@ -94,5 +94,5 @@
 class ResourceManager : public BaseObject
 {
-  NewObjectListDeclaration(ResourceManager);
+  ObjectListDeclaration(ResourceManager);
 public:
   virtual ~ResourceManager();
Index: branches/new_class_id/src/lib/util/preferences.cc
===================================================================
--- branches/new_class_id/src/lib/util/preferences.cc	(revision 9714)
+++ branches/new_class_id/src/lib/util/preferences.cc	(revision 9715)
@@ -20,5 +20,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(Preferences);
+ObjectListDefinition(Preferences);
 
 /**
Index: branches/new_class_id/src/lib/util/preferences.h
===================================================================
--- branches/new_class_id/src/lib/util/preferences.h	(revision 9714)
+++ branches/new_class_id/src/lib/util/preferences.h	(revision 9715)
@@ -29,5 +29,5 @@
 //! A default singleton class.
 class Preferences : public BaseObject {
-  NewObjectListDeclaration(Preferences);
+  ObjectListDeclaration(Preferences);
  public:
    virtual ~Preferences(void);
Index: branches/new_class_id/src/orxonox.cc
===================================================================
--- branches/new_class_id/src/orxonox.cc	(revision 9714)
+++ branches/new_class_id/src/orxonox.cc	(revision 9715)
@@ -96,5 +96,5 @@
 REGISTER_ARG_ARG(  _, write_dict,  "compression", "writedict",    "write packets to DATA/dicts/newdict",               "numBytes" );
 
-NewObjectListDefinition(Orxonox);
+ObjectListDefinition(Orxonox);
 
 /**
@@ -148,5 +148,5 @@
 
 
-  NewObjectListBase::debugAll(1);
+  ObjectListBase::debugAll(1);
 
   Preferences::getInstance()->save();
Index: branches/new_class_id/src/orxonox.h
===================================================================
--- branches/new_class_id/src/orxonox.h	(revision 9714)
+++ branches/new_class_id/src/orxonox.h	(revision 9715)
@@ -16,5 +16,5 @@
 */
 class Orxonox : public BaseObject {
-  NewObjectListDeclaration(Orxonox);
+  ObjectListDeclaration(Orxonox);
 
  public:
Index: branches/new_class_id/src/story_entities/campaign.cc
===================================================================
--- branches/new_class_id/src/story_entities/campaign.cc	(revision 9714)
+++ branches/new_class_id/src/story_entities/campaign.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 
-NewObjectListDefinition(Campaign);
+ObjectListDefinition(Campaign);
 
 /**
Index: branches/new_class_id/src/story_entities/campaign.h
===================================================================
--- branches/new_class_id/src/story_entities/campaign.h	(revision 9714)
+++ branches/new_class_id/src/story_entities/campaign.h	(revision 9715)
@@ -18,5 +18,5 @@
 class Campaign : public StoryEntity
 {
-  NewObjectListDeclaration(Campaign);
+  ObjectListDeclaration(Campaign);
   public:
     Campaign( TiXmlElement* root);
Index: branches/new_class_id/src/story_entities/campaign_data.cc
===================================================================
--- branches/new_class_id/src/story_entities/campaign_data.cc	(revision 9714)
+++ branches/new_class_id/src/story_entities/campaign_data.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 
-NewObjectListDefinition(CampaignData);
+ObjectListDefinition(CampaignData);
 
 /**
Index: branches/new_class_id/src/story_entities/campaign_data.h
===================================================================
--- branches/new_class_id/src/story_entities/campaign_data.h	(revision 9714)
+++ branches/new_class_id/src/story_entities/campaign_data.h	(revision 9715)
@@ -16,5 +16,5 @@
 class CampaignData : public DataTank
 {
-  NewObjectListDeclaration(CampaignData);
+  ObjectListDeclaration(CampaignData);
 
 public:
Index: branches/new_class_id/src/story_entities/game_world.cc
===================================================================
--- branches/new_class_id/src/story_entities/game_world.cc	(revision 9714)
+++ branches/new_class_id/src/story_entities/game_world.cc	(revision 9715)
@@ -62,5 +62,5 @@
 
 #include "script_class.h"
-NewObjectListDefinition(GameWorld);
+ObjectListDefinition(GameWorld);
 CREATE_SCRIPTABLE_CLASS(GameWorld, GameWorld::classID(),
                         addMethod("setPlaymode", ExecutorLua1<GameWorld,const std::string&>(&GameWorld::setPlaymode))
@@ -568,5 +568,5 @@
   MappedWater* mw;
 
-  for (NewObjectList<MappedWater>::const_iterator it = MappedWater::objectList().begin();
+  for (ObjectList<MappedWater>::const_iterator it = MappedWater::objectList().begin();
        it != MappedWater::objectList().end();
        ++it)
@@ -607,5 +607,5 @@
   MappedWater* mw;
 
-  for (NewObjectList<MappedWater>::const_iterator it = MappedWater::objectList().begin();
+  for (ObjectList<MappedWater>::const_iterator it = MappedWater::objectList().begin();
        it != MappedWater::objectList().end();
        ++it)
Index: branches/new_class_id/src/story_entities/game_world.h
===================================================================
--- branches/new_class_id/src/story_entities/game_world.h	(revision 9714)
+++ branches/new_class_id/src/story_entities/game_world.h	(revision 9715)
@@ -31,5 +31,5 @@
 class GameWorld : public StoryEntity
 {
-  NewObjectListDeclaration(GameWorld);
+  ObjectListDeclaration(GameWorld);
 
 public:
Index: branches/new_class_id/src/story_entities/game_world_data.cc
===================================================================
--- branches/new_class_id/src/story_entities/game_world_data.cc	(revision 9714)
+++ branches/new_class_id/src/story_entities/game_world_data.cc	(revision 9715)
@@ -61,5 +61,5 @@
 
 
-NewObjectListDefinition(GameWorldData);
+ObjectListDefinition(GameWorldData);
 /**
  * constructor of the GameWorldData
Index: branches/new_class_id/src/story_entities/game_world_data.h
===================================================================
--- branches/new_class_id/src/story_entities/game_world_data.h	(revision 9714)
+++ branches/new_class_id/src/story_entities/game_world_data.h	(revision 9715)
@@ -30,5 +30,5 @@
 class GameWorldData : public DataTank
 {
-  NewObjectListDeclaration(GameWorldData);
+  ObjectListDeclaration(GameWorldData);
   public:
     GameWorldData();
Index: branches/new_class_id/src/story_entities/menu/game_menu.cc
===================================================================
--- branches/new_class_id/src/story_entities/menu/game_menu.cc	(revision 9714)
+++ branches/new_class_id/src/story_entities/menu/game_menu.cc	(revision 9715)
@@ -44,5 +44,5 @@
 #include "class_id.h"
 //! This creates a Factory to fabricate a GameMenu
-NewObjectListDefinitionID(GameMenu, CL_GAME_MENU);
+ObjectListDefinitionID(GameMenu, CL_GAME_MENU);
 CREATE_FACTORY(GameMenu);
 
@@ -192,5 +192,5 @@
 
       bool first = true;
-      for(NewObjectList<StoryEntity>::const_iterator it = StoryEntity::objectList().begin();
+      for(ObjectList<StoryEntity>::const_iterator it = StoryEntity::objectList().begin();
 	  it != StoryEntity::objectList().end();
 	  ++it)
Index: branches/new_class_id/src/story_entities/menu/game_menu.h
===================================================================
--- branches/new_class_id/src/story_entities/menu/game_menu.h	(revision 9714)
+++ branches/new_class_id/src/story_entities/menu/game_menu.h	(revision 9715)
@@ -22,5 +22,5 @@
 class GameMenu : virtual public GameWorld, virtual public EventListener
 {
-  NewObjectListDeclaration(GameMenu);
+  ObjectListDeclaration(GameMenu);
   public:
     GameMenu(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/story_entities/movie_loader.cc
===================================================================
--- branches/new_class_id/src/story_entities/movie_loader.cc	(revision 9714)
+++ branches/new_class_id/src/story_entities/movie_loader.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(MovieLoader, CL_MOVIE_LOADER);
+ObjectListDefinitionID(MovieLoader, CL_MOVIE_LOADER);
 CREATE_FACTORY(MovieLoader);
 
